# © 2020 Le Filament (<https://www.le-filament.com>)
# © 2020 Confédération Générale des Scop (<https://www.les-scop.coop>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from openupgradelib import openupgrade

PERCENT = [
    (0, "0"),
    (20, "20"),
    (40, "40"),
    (60, "60"),
    (80, "80"),
    (100, "100"),
]


def res_partner_map_values(env):
    openupgrade.map_values(
        env.cr,
        openupgrade.get_legacy_name("incub_sensibilite_coop"),
        "incub_sensibilite_coop",
        PERCENT,
        table="res_partner",
    )
    openupgrade.map_values(
        env.cr,
        openupgrade.get_legacy_name("incub_percent_realisation"),
        "incub_percent_realisation",
        PERCENT,
        table="res_partner",
    )


@openupgrade.migrate()
def migrate(env, version):
    res_partner_map_values(env)
